#!/usr/bin/perl
#$Id: test_cluster.pl,v 1.4 2015/04/07 10:17:13 sqko Exp $
use strict;
use warnings;
use RFC::Main;
#use SocketClient;
my @list = ();
my $listserver = get_cv('servers','listserver');
if ($listserver)
{
    chomp $listserver;
    print "Getting server list from listserver $listserver\n";
    my $str= RFC::Main::report_client($listserver,'servers');
    my @l = split(/\t/,$str) if ($str && $str !~ /ERROR/);
    foreach (@l)
    {
	if (/([\w\.\-]+)/)
	{
	    push @list,$1;
	}
    }
    print "Recieved ".scalar(@list)." server names\n";
}
print "Checking each server in turn:\n";
foreach my $s (sort @list)
{
    print "Getting version and rigs from server $s\n";
    my $version = RFC::Main::report_client($s,'version');
    $version = 'UNKNOWN' unless defined($version);
    chomp $version;
    my $str = RFC::Main::report_client($s,'active_rigs');
    $str = '' unless defined($str);
    chomp $str;
    $str =~ s/[\s\t]+/\t/g;
    print "Version: $version, \tRigs: \t$str\n";
}
